#include "Material.h"

namespace YoggieEngine {

	Material::Material(const Shader& shader) :
		shader(shader) {
	}

	void Material::Apply() const {

		shader.Use();
		shader.setUniformVec3("Color", Color);
	}
}
